#!/bin/sh


# simple script to run tutorials, create images, and to 
# installs them in the libfaudes doxygen tree

# configure
LIBFAUDES=../

DOTWRITE=$LIBFAUDES/bin/gen2dot
DOTEXEC=/usr/bin/dot
CONVERT=/usr/bin/convert
DSTDIR=$LIBFAUDES/src/doxygen/faudes_images

# advertise
echo ======================================================
echo ===  running tutorials ===============================
echo ======================================================

./3_regular


# advertise
echo ======================================================
echo ===  converting gen to png/svg =======================
echo ======================================================


# loop all .gen files
for FILE in tmp*.gen ; do
  BASE=$(basename $FILE .gen)
  echo ============= processing $BASE
  $DOTWRITE $FILE
  $DOTEXEC -Tsvg  -Gsize=5,5 $BASE.dot -o $BASE.svg
  $CONVERT $BASE.svg $BASE.png
done;

# advertise
echo ======================================================
echo ===  copy do doc =====================================
echo ======================================================

cp -v tmp*.png $DSTDIR